Hi Samuel,

Just retested it here and it works with latest files.
Most likely you missed a step.

Here's what I did.
- downloaded the 32 bits notepad++ files (I selected the zip release, but installer would be fine too)
- tested notepad++ and opened a .pkg file
- closed notepad++
- downloaded the 32 bits zip from my first post
- dropped the notepad++.exe _and_ scilexer.dll on top of the existing files, overwriting them
- checked for having to unblock files and unblock if needed
- deleted the langs.xml and stylers.xml files
- dropped the langs.model.xml and stylers.model.xml from my zip on top of the existing files, overwriting them
- ran notepad++ again, not seeing DataFlex high lights for the .pkg file it re-opened
- selected DataFlex language -> and it works, at least it does for me.

--
Wil